
MAINTAINERCLEANFILES    = Makefile.in configure

SUBDIRS			= src

cli:
	cd src/libosiris;$(MAKE)
	cd src/libosirisctl;$(MAKE)
	cd src/libosirism;$(MAKE)
	cd src/libfileapi;$(MAKE)
	cd src/cli;$(MAKE)

osirisd:
	cd src/libosiris;$(MAKE)
	cd src/libfileapi;$(MAKE)
	cd src/osirisd;$(MAKE)

osirismd:
	$(MAKE)
   
package:
	$(MAKE)
	cd src/install;./create_package.sh

# here we pot all the apps and configs into the install directory
# and then run the package install script.  This will install
# everything.

install-data-local:
	$(MAKE)
	cp ./src/cli/osiris ./src/install/
	cp ./src/osirisd/osirisd ./src/install/
	cp ./src/osirismd/osirismd ./src/install/
	cp -rf ./src/configs ./src/install/
	cd ./src/install;./install.sh
